Skip to main content
GET
/
api2
/
v1
/
notifications
List notifications
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/notifications \
  --header 'Authorization: <api-key>'
import requests

url = "https://cloud.memsource.com/web/api2/v1/notifications"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://cloud.memsource.com/web/api2/v1/notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "content": [
    {
      "commentUid": "<string>",
      "dateCreated": "2023-11-07T05:31:56Z",
      "dateSeen": "2023-11-07T05:31:56Z",
      "jobPartUid": "<string>",
      "messageBody": "<string>",
      "messageTitle": "<string>",
      "projectUid": "<string>",
      "seen": true,
      "uid": "<string>"
    }
  ],
  "numberOfElements": 123,
  "pageNumber": 123,
  "pageSize": 123,
  "responseTimestamp": "2023-11-07T05:31:56Z",
  "sort": {
    "orders": [
      {
        "property": "<string>"
      }
    ]
  },
  "totalElements": 123,
  "totalPages": 123
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Query Parameters

pageNumber
integer<int32>
default:0

Page number, starting with 0, default 0

Required range: x >= 0
pageSize
integer<int32>
default:20

Page size, accepts values between 1 and 50, default 20

Required range: 1 <= x <= 50
category
enum<string>

Filtered by notification category

Available options:
PINNED,
SEEN,
UNSEEN
createdBeforeDate
string

Filtered by create date time in ISO 8601 UTC format

createdAfterDate
string

Filtered by create date time in ISO 8601 UTC format

Response

OK

content
object[]
numberOfElements
integer<int32>
pageNumber
integer<int32>
pageSize
integer<int32>
responseTimestamp
string<date-time>

Timestamp when the response was generated

sort
object
totalElements
integer<int32>
totalPages
integer<int32>